library photo_editor_pro;
Map<String, String> emojiWeights = {};

List<String> emojis = [
  '😀',
  '😁',
  '😂',
  '🤣',
  '😃',
  '😄',
  '😅',
  '😆',
  '😉',
  '😊',
  '😋',
  '😎',
  '😍',
  '😘',
  '🥰',
  '😗',
  '😙',
  '😚',
  '🙂️',
  '🤗',
  '🤩',
  '🤔',
  '🤔',
  '🤨',
  '😐',
  '😑',
  '😶',
  '🙄',
  '😏',
  '😣',
  '😥',
  '😮',
  '🤐',
  '😯',
  '😪',
  '😫',
  '😴',
  '😌',
  '😛',
  '😜',
  '😝',
  '🤤',
  '😒',
  '😓',
  '😔',
  '😕',
  '🙃',
  '🤑',
  '😲',
  '🙁',
  '😖',
  '😞',
  '😟',
  '😤',
  '😢',
  '😭',
  '😦',
  '😧',
  '😨',
  '😩',
  '🤯',
  '😬',
  '😰',
  '😱',
  '🥵',
  '🥶',
  '😳',
  '🤪',
  '😵',
  '😡',
  '😠',
  '🤬',
  '😷',
  '🤒',
  '🤕',
  '🤢',
  '🤮',
  '🤧',
  '😇',
  '🤠',
  '🤡',
  '🥳',
  '🥴',
  '🤥',
  '🤫',
  '🤭',
  '🤭',
  '🧐',
  '🤓',
  '😈',
  '👿',
  '👹',
  '👺',
  '💀',
  '👻',
  '👽',
  '🤖',
  '💩',
  '😺',
  '😸',
  '😹',
  '😻',
  '😼',
  '😽',
  '🙀',
  '😿',
  '😾',
  '😾',

  /// People and Fantasy
  '👶',
  '👧',
  '🧒',
  '👩',
  '🧑',
  '👨',
  '👵',
  '👴',
  '👲',
  '👳‍♀️‍️',
  '👳‍♂️️‍️',
  '🧕️️‍️',
  '🧔‍',
  '👱‍♂️️‍',
  '👱‍♀️️️‍',
  '👨‍🦰️️️‍',
  '👩‍🦰‍',
  '👨‍🦱‍‍',
  '👨‍🦲‍‍',
  '👩‍🦲‍‍',
  '👨‍🦳‍‍',
  '👩‍🦳‍‍',
  '🦸‍♀️‍‍',
  '🦸‍♂️️‍‍',
  '🦹‍♀️️️‍‍',
  '🦹‍♂️️️️‍‍',
  '👮‍♀️‍‍',
  '👮‍♂️️‍‍',
  '👷‍♀️️️‍‍',
  '👷‍♂️️️️‍‍',
  '💂‍♀️️️️️‍‍',
  '💂‍♂️️️️️️‍‍',
  '🕵️‍♀️️️️️️️‍‍',
  '🕵️‍♂️️️️️️️️‍‍',
  '👩‍⚕️️️️️️️️️‍‍',
  '👨‍⚕️️️️️️️️️️‍‍',
  '👩‍🌾️️️️️️️️️️‍‍',
  '👨‍🌾‍‍',
  '👩‍🍳‍‍',
  '👨‍🍳‍‍',
  '👩‍🎓‍‍',
  '👨‍🎓‍‍',
  '👩‍🎤‍‍',
  '👨‍🎤‍‍',
  '👩‍🏫‍‍',
  '👨‍🏫‍‍',
  '👩‍🏭‍‍',
  '👨‍🏭‍‍',
  '👩‍💻‍‍',
  '👨‍💻‍‍',
  '👩‍💼‍‍',
  '👨‍💼‍‍',
  '👩‍🔧‍‍',
  '👨‍🔧‍‍',
  '👩‍🔬‍‍',
  '👨‍🔬‍‍',
  '👩‍🎨‍‍',
  '👨‍🎨‍‍',
  '👩‍🚒‍‍',
  '👨‍🚒‍‍',
  '👩‍✈️‍‍',
  '👨‍✈️️‍‍',
  '👩‍🚀‍‍',
  '👨‍🚀‍‍',
  '👩‍⚖️‍‍',
  '👨‍⚖️️‍‍',
  '👰‍‍',
  '🤵‍‍',
  '👸‍‍',
  '🤴‍‍',
  '🤶‍‍',
  '🎅‍‍',
  '🧙‍♀️‍‍',
  '🧙‍♂️️‍‍',
  '🧝‍♀️️️‍‍',
  '🧝‍♂️‍‍',
  '🧛‍♀️️‍‍',
  '🧛‍♂️️️‍‍',
  '🧟‍♀️️️️‍‍',
  '🧟‍♂️️️️️‍‍',
  '🧞‍♀️️️️️️‍‍',
  '🧞‍♂️️️️️️️‍‍',
  '🧜‍♀️️️️️️️️‍‍',
  '🧜‍♂️️️️️️️️️‍‍',
  '🧚‍♀️️️️️️️️️️‍‍',
  '🧚‍♂️️️️️️️️️️️‍‍',
  '👼️️️️️️️️️️️‍‍',
  '🤰‍‍',
  '🤱‍‍',
  '🙇‍♀️‍‍',
  '🙇‍♂️‍‍',
  '💁‍♀️️‍‍',
  '💁‍♂️️️‍‍',
  '🙅‍♀️️️️‍‍',
  '🙅‍♂️‍‍',
  '🙆‍♀️️‍‍',
  '🙆‍♂️️️‍‍',
  '🙋‍♀️️️️‍‍',
  '🙋‍♂️‍‍',
  '🤦‍♀️️‍‍',
  '🤦‍♂️️️‍‍',
  '🤷‍♀️️️️‍‍',
  '🤷‍♂️️️️️‍‍',
  '🙎‍♀️️️️️️‍‍',
  '🙎‍♂️️️️️️️‍‍',
  '🙍‍♀️️️️️️️️‍‍',
  '🙍‍♂️️️️️️️️️‍‍',
  '💇‍♀️️️️️️️️️️‍‍',
  '💇‍♂️️️️️️️️️️️‍‍',
  '💆‍♀️️️️️️️️️️️️‍‍',
  '💆‍♂️️️️️️️️️️️️️‍‍',
  '🧖‍♀️️️️️️️️️️️️️️‍‍',
  '🧖‍♂️️️️️️️️️️️️️️️‍‍',
  '💅️️️️️️️️️️️️️️️‍‍',
  '🤳️️️️️️️️️️️️️️‍‍',
  '💃️️️️️️️️️️️️️‍‍',
  '🕺️️️️️️️️️️️️‍‍',
  '👯‍♀️‍‍',
  '👯‍♂️️‍‍',
  '🕴️️‍‍',
  '🚶‍♀️️‍‍',
  '🚶‍♂️️️‍‍',
  '🏃‍♀️️️️‍‍',
  '🏃‍♂️‍‍',
  '👫️‍‍',
  '👭‍‍',
  '👬‍‍',
  '💑‍‍',
  '👩‍❤️‍👩‍‍',
  '👨‍❤️‍👨‍‍',
  '💏‍‍',
  '👩‍❤️‍💋‍👩‍‍',
  '👨‍❤️‍💋‍👨‍‍',
  '👪‍‍',
  '👨‍👩‍👧‍‍',
  '👨‍👩‍👧‍👦‍‍',
  '👨‍👩‍👦‍👦‍‍',
  '👨‍👩‍👧‍👧‍‍',
  '👩‍👩‍👦‍‍',
  '👩‍👩‍👧‍‍',
  '👩‍👩‍👧‍👦‍‍',
  '👩‍👩‍👦‍👦‍‍',
  '👩‍👩‍👧‍👧‍‍',
  '👨‍👨‍👦‍‍',
  '👨‍👨‍👧‍‍',
  '👨‍👨‍👧‍👦‍‍',
  '👨‍👨‍👦‍👦‍‍',
  '👨‍👨‍👧‍👧‍‍',
  '👩‍👦‍‍',
  '👩‍👧‍‍',
  '👩‍👧‍👦‍‍',
  '👩‍👦‍👦‍‍',
  '👩‍👧‍👧‍‍',
  '👨‍👦‍‍',
  '👨‍👧‍‍',
  '👨‍👧‍👦‍‍',
  '👨‍👦‍👦‍‍',
  '👨‍👧‍👧‍‍',
  '🤲‍‍',
  '👐‍‍',
  '🙌‍‍',
  '👏‍‍',
  '🤝‍‍',
  '👍‍‍',
  '👎‍‍',
  '👊‍‍',
  '✊‍‍',
  '🤛‍‍',
  '🤜‍‍',
  '🤞‍‍',
  '✌️‍‍',
  '🤟️‍‍',
  '🤘‍‍',
  '👌‍‍',
  '👈‍‍',
  '👉‍‍',
  '👆‍‍',
  '👇‍‍',
  '☝️‍‍',
  '✋️‍‍',
  '🤚️‍‍',
  '🤚️‍‍',
  '🖐‍‍',
  '🖖‍‍',
  '👋‍‍',
  '🤙‍‍',
  '💪‍‍',
  '🦵‍‍',
  '🦶‍‍',
  '🖕‍‍',
  '✍️‍‍',
  '🙏️‍‍',
  '💍‍‍',
  '💄‍‍',
  '💋‍‍',
  '👄‍‍',
  '👅‍‍',
  '👂‍‍',
  '👃‍‍',
  '👣‍‍',
  '👁‍‍',
  '👀‍‍',
  '🧠‍‍',
  '🦴‍‍',
  '🦷‍‍',
  '🗣‍‍',
  '👤‍‍',
  '👥‍‍',
  '🧥‍‍',
  '👚‍‍',
  '👕‍‍',
  '👖‍‍',
  '👔‍‍',
  '👗‍‍',
  '👙‍‍',
  '👘‍‍',
  '👠‍‍',
  '👡‍‍',
  '👢‍‍',
  '👞‍‍',
  '👟‍‍',
  '🥾‍‍',
  '🥿‍‍',
  '🧦‍‍',
  '🧤‍‍',
  '🧣‍‍',
  '🎩‍‍',
  '🧢‍‍',
  '👒‍‍',
  '🎓‍‍',
  '⛑‍‍',
  '👑‍‍',
  '👝‍‍',
  '👛‍‍',
  '👜‍‍',
  '💼‍‍',
  '🎒‍‍',
  '👓‍‍',
  '🕶‍‍',
  '🥽‍‍',
  '🥼‍‍',
  '🌂‍‍',
  '🧵‍‍',
  '🧶‍‍',

  /// Animals
  '🐶‍‍',
  '🐱‍‍',
  '🐭‍‍',
  '🐰‍‍',
  '🦊‍‍',
  '🦝‍‍',
  '🐻‍‍',
  '🦘‍‍',
  '🦡‍‍',
  '🐨‍‍',
  '🐯‍‍',
  '🦁‍‍',
  '🐼‍‍',
  '🐼‍‍',
  '🐮‍‍',
  '🐷‍‍',
  '🐽‍‍',
  '🐸‍‍',
  '🐵‍‍',
  '🙈‍‍',
  '🙉‍‍',
  '🙊‍‍',
  '🐒‍‍',
  '🐔‍‍',
  '🐧‍‍',
  '🐦‍‍',
  '🐤‍‍',
  '🐣‍‍',
  '🐥‍‍',
  '🦆‍‍',
  '🦢‍‍',
  '🦅‍‍',
  '🦉‍‍',
  '🦚‍‍',
  '🦜‍‍',
  '🦇‍‍',
  '🐺‍‍',
  '🐗‍‍',
  '🐴‍‍',
  '🦄‍‍',
  '🐝‍‍',
  '🐛‍‍',
  '🦋‍‍',
  '🐌‍‍',
  '🐚‍‍',
  '🐞‍‍',
  '🐜‍‍',
  '🦗‍‍',
  '🕷‍‍',
  '🕸‍‍',
  '🦂‍‍',
  '🦟‍‍',
  '🦠‍‍',
  '🐢‍‍',
  '🐍‍‍',
  '🦎‍‍',
  '🦖‍‍',
  '🦕‍‍',
  '🐙‍‍',
  '🦑‍‍',
  '🦐‍‍',
  '🦀‍‍',
  '🐡‍‍',
  '🐠‍‍',
  '🐟‍‍',
  '🐬‍‍',
  '🐳‍‍',
  '🐋‍‍',
  '🦈‍‍',
  '🐊‍‍',
  '🐅‍‍',
  '🐆‍‍',
  '🦓‍‍',
  '🦍‍‍',
  '🐘‍‍',
  '🦏‍‍',
  '🦛‍‍',
  '🐪‍‍',
  '🐫‍‍',
  '🦙‍‍',
  '🦒‍‍',
  '🐃‍‍',
  '🐂‍‍',
  '🐄‍‍',
  '🐎‍‍',
  '🐖‍‍',
  '🐏‍‍',
  '🐐‍‍',
  '🦌‍‍',
  '🐕‍‍',
  '🐩‍‍',
  '🐈‍‍',
  '🐓‍‍',
  '🦃‍‍',
  '🕊‍‍',
  '🐇‍‍',
  '🐁‍‍',
  '🐀‍‍',
  '🐿‍‍',
  '🦔‍‍',
  '🐾‍',
  '🐉‍',
  '🐲‍',
  '🌵‍',
  '🎄‍',
  '🌲‍',
  '🌳‍',
  '🌴‍',
  '🌱‍',
  '🌿‍',
  '☘️‍',
  '🎍️‍',
  '🎋️‍',
  '🍃‍',
  '🍂‍',
  '🍁‍',
  '🍄‍',
  '🌾️‍',
  '💐️‍',
  '🌷️‍',
  '🌹‍',
  '🥀‍',
  '🌺‍',
  '🌸‍',
  '🌼‍',
  '🌻️‍',
  '🌞‍',
  '🌝‍',
  '🌛‍',
  '🌜‍',
  '🌚‍',
  '🌕‍',
  '🌖‍',
  '🌗‍',
  '🌘‍',
  '🌑‍',
  '🌒‍',
  '🌔‍',
  '🌙‍',
  '🌎‍',
  '🌍‍',
  '🌏‍',
  '💫‍',
  '⭐️‍',
  '🌟️‍',
  '✨️‍',
  '⚡️️‍',
  '☄️️️‍',
  '💥️️️‍',
  '🔥‍',
  '🌪‍',
  '🌈‍',
  '☀️‍',
  '🌤️‍',
  '⛅️️‍',
  '🌥️️‍',
  '☁️️‍',
  '🌦️️‍',
  '🌧️‍',
  '⛈‍',
  '🌩‍',
  '🌨‍',
  '❄️‍',
  '☃️️‍',
  '⛄️️️‍',
  '🌬️️️‍',
  '💨️️️‍',
  '💧️️️‍',
  '💦️️️‍',
  '☔️️️️‍',
  '☂️️️️️‍',
  '🌊️️️️️‍',
  '🌫️️️️‍',

  /// Foods
  '🍏‍',
  '🍎‍',
  '🍐‍',
  '🍊‍',
  '🍋‍',
  '🍌‍',
  '🍉‍',
  '🍇‍',
  '🍓‍',
  '🍈‍',
  '🍒‍',
  '🍑‍',
  '🍍‍',
  '🥭‍',
  '🥥‍',
  '🥝‍',
  '🍅‍',
  '🍆‍',
  '🥑‍',
  '🥦‍',
  '🥒‍',
  '🥬‍',
  '🌶‍',
  '🌽‍',
  '🥕‍',
  '🥔‍',
  '🍠‍',
  '🥐‍',
  '🍞‍',
  '🥖‍',
  '🥨‍',
  '🥯‍',
  '🧀‍',
  '🥚‍',
  '🍳‍',
  '🥞‍',
  '🥓‍',
  '🥩‍',
  '🍗‍',
  '🍖‍',
  '🌭‍',
  '🍔‍',
  '🍟‍',
  '🍕‍',
  '🥪‍',
  '🥙‍',
  '🌮‍',
  '🌯‍',
  '🥗‍',
  '🥘‍',
  '🥫‍',
  '🍝‍',
  '🍜‍',
  '🍲‍',
  '🍛‍',
  '🍣‍',
  '🍱‍',
  '🥟‍',
  '🍤‍',
  '🍙‍',
  '🍚‍',
  '🍘‍',
  '🍥‍',
  '🥮‍',
  '🥠‍',
  '🍢‍',
  '🍧‍',
  '🍨‍',
  '🍦‍',
  '🥧‍',
  '🍰‍',
  '🎂‍',
  '🍮‍',
  '🍭‍',
  '🍬‍',
  '🍫‍',
  '🍿‍',
  '🧂‍',
  '🍩‍',
  '🍪‍',
  '🌰‍',
  '🥜‍',
  '🍯‍',
  '🥛‍',
  '🍼‍',
  '☕️‍',
  '🍵️‍',
  '🥤️‍',
  '🍶‍',
  '🍺‍',
  '🍻‍',
  '🥂‍',
  '🍷‍',
  '🍸‍',
  '🍹‍',
  '🍾‍',
  '🥄‍',
  '🍴‍',
  '🍽‍',
  '🥣‍',
  '🥡‍',
  '🥢‍',

  /// Activity and Sports
  '⚽️‍',
  '🏀️‍',
  '🏈‍',
  '⚾️‍',
  '🥎️‍',
  '🏐️‍',
  '🏉‍',
  '🎾‍',
  '🥏‍',
  '🎱‍',
  '🏓‍',
  '🏸‍',
  '🥅‍',
  '🏒‍',
  '🏑‍',
  '🥍‍',
  '🏏‍',
  '⛳️‍',
  '🏹️‍',
  '🎣️‍',
  '🥊‍',
  '🥋‍',
  '🎽‍',
  '⛸‍',
  '🥌‍',
  '🛷‍',
  '🛹‍',
  '🎿‍',
  '⛷‍',
  '🏂‍',
  '🏋️‍♀️‍',
  '🏋🏼‍♀️‍',
  '🏋🏽‍♀️️‍',
  '🏋🏾‍♀️️️‍',
  '🏋🏿‍♀️️️️‍',
  '🏋️‍♂️️️️‍',
  '🏋🏻‍♂️️️️‍',
  '🏋🏼‍♂️️️️‍',
  '🏋🏽‍♂️️️️‍',
  '🏋🏾‍♂️️️️‍',
  '🏋🏿‍♂️️️️‍',
  '🤼‍♀️️️️‍',
  '🤼‍♂️️️️‍',
  '🤸‍♀️️️️‍',
  '🤸🏻‍♀️️️️‍',
  '🤸🏼‍♀️️️️‍',
  '🤸🏽‍♀️️️️‍',
  '🤸🏿‍♀️️️️️‍',
  '🤸‍♂️️️️‍',
  '🤸🏻‍♂️️️️‍',
  '🤸🏼‍♂️️️️️‍',
  '🤸🏽‍♂️️️️️️‍',
  '🤸🏾‍♂️️️️️️‍',
  '🤸🏿‍♂️️️️️️‍',
  '⛹️‍♀️️️️️️‍',
  '⛹🏻‍♀️️️️️️️‍',
  '⛹🏼‍♀️️️️️️️️‍',
  '⛹🏽‍♀️️️️️️️️️‍',
  '⛹🏾‍♀️️️️️️️️️️‍',
  '⛹🏿‍♀️️️️️️️️️️️‍',
  '⛹️‍♂️️️️️️️️️️️️‍',
  '⛹🏻‍♂️️️️️️️️️️️️️‍',
  '⛹🏼‍♂️️️️️️️️️️️️️️‍',
  '⛹🏽‍♂️️️️️️️️️️️️️️️‍',
  '⛹🏾‍♂️️️️️️️️️️️️️️️️‍',
  '⛹🏿‍♂️‍',
  '🤺️‍',
  '🤾‍♀️‍',
  '🤾🏻‍♀️️‍',
  '🤾🏼‍♀️️️‍',
  '🤾🏾‍♀️️️️‍',
];
